Bug 221157 (taglib-1.11.1) - [exp-run] Update audio/taglib to 1.11.1
Summary: [exp-run] Update audio/taglib to 1.11.1
Status: Closed FIXED
Alias: taglib-1.11.1
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D11737
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-01 16:27 UTC by Tobias C. Berner
Modified: 2017-08-06 09:13 UTC (History)
2 users (show)

See Also:
jhale: maintainer-feedback+


Attachments
v1 (18.88 KB, patch)
2017-08-01 16:27 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2017-08-01 16:27:08 UTC
Created attachment 184922 [details]
v1

Hi there.

I would like to ask for an exp-run for the update of audio/taglib to 1.11.1.

The diff is attached, and can also be found here:
http://people.freebsd.org/~tcberner/patches/taglib-1.11.1.v1.diff


Thanks.
Comment 1 Tobias C. Berner freebsd_committer 2017-08-01 17:03:09 UTC
Oh, dumb typo there. Sorry :) thanks for fixing it.
Comment 3 Tobias C. Berner freebsd_committer 2017-08-04 09:27:41 UTC
I think tomahawk was broken by the qt-keychain update in ports r447066 as the output of the configure is:

-----------------------------------------------------------------------------
-- The following REQUIRED packages could NOT be located on your system.
-- You must install these packages before continuing.
-----------------------------------------------------------------------------
   * QtKeychain  <https://github.com/frankosterfeld/qtkeychain>
     Provides support for secure credentials storage




The mythtv issue seems also not taglib related, but let me check.
Comment 4 Tobias C. Berner freebsd_committer 2017-08-04 18:06:01 UTC
I can reproduce the mythv error against a clean ports tree -- so it should not be taglib related.
Comment 5 Antoine Brodin freebsd_committer 2017-08-04 18:11:00 UTC
(In reply to Tobias C. Berner from comment #4)
Please mark it BROKEN in this case.
Comment 6 Tobias C. Berner freebsd_committer 2017-08-04 18:16:47 UTC
(In reply to Antoine Brodin from comment #5)
https://reviews.freebsd.org/D11867

should I mark mythv also?
Comment 7 Tobias C. Berner freebsd_committer 2017-08-04 19:03:11 UTC
The issue with mythtv is a missing runtime dependency on ftp/py-pycurl in www/py-urlgrabber:
https://reviews.freebsd.org/D11868
Comment 8 commit-hook freebsd_committer 2017-08-05 07:07:31 UTC
A commit references this bug:

Author: tcberner
Date: Sat Aug  5 07:07:02 UTC 2017
New revision: 447391
URL: https://svnweb.freebsd.org/changeset/ports/447391

Log:
  Readd pycurl as a runtime dependency.

  In the previous release [1] pycurl was only dropped as a build-time dependency.

  This fixes buildfailures for mythtv for example.

  PR:		221157
  Approved by:	portmgr (blanket)
  Differential Revision:	https://reviews.freebsd.org/D11868

Changes:
  head/www/py-urlgrabber/Makefile
Comment 9 Antoine Brodin freebsd_committer 2017-08-06 08:52:50 UTC
Exp-run looks fine,  don't forget to mark tomahawk broken.
Comment 10 commit-hook freebsd_committer 2017-08-06 09:12:20 UTC
A commit references this bug:

Author: tcberner
Date: Sun Aug  6 09:11:45 UTC 2017
New revision: 447453
URL: https://svnweb.freebsd.org/changeset/ports/447453

Log:
  Mark audio/tomahawk broken.

  Project has been dead for a while now, and it does not build with
  the current qtkeychain-qt4 (while being that ports only consumer).

  PR:		221157
  Differential Revision:	https://reviews.freebsd.org/D11867

Changes:
  head/audio/tomahawk/Makefile
Comment 11 commit-hook freebsd_committer 2017-08-06 09:13:23 UTC
A commit references this bug:

Author: tcberner
Date: Sun Aug  6 09:13:11 UTC 2017
New revision: 447454
URL: https://svnweb.freebsd.org/changeset/ports/447454

Log:
  Update audio/taglib to 1.11.1

  PR:		221157
  Reviewed by:	jhale
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D11737

Changes:
  head/audio/taglib/Makefile
  head/audio/taglib/distinfo
  head/audio/taglib/files/extrapatch-rcc
  head/audio/taglib/pkg-plist
Comment 12 Tobias C. Berner freebsd_committer 2017-08-06 09:13:56 UTC
Thanks for the exp-run.